%define libname %mklibname %name

Summary: Network-related GIO modules
Name: glib-networking
Version: 2.72.2
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Source1: glib-pacrunner.service
License: LGPLv2+
Group:System/Libraries
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#---------------------------------------------------
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gnutls-devel
BuildRequires: lib64proxy-devel
BuildRequires: p11-kit-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: intltool
BuildRequires: meson
#---------------------------------------------------
Requires: %libname = %version
Requires: glib-openssl
Obsoletes: 	%{name} < %version

%description
This package contains the network-related GIO modules for Glib.

%package -n %libname
Summary: Network-related GIO modules
Group: System/Libraries
Requires: %name >= %version-%release

%description -n %libname
This package contains the network-related GIO modules for Glib.

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf %{buildroot}
%meson_install

rm -f %buildroot/%_libdir/gio/modules/*.la
rm -f %buildroot/usr/lib/systemd/user/glib-pacrunner.service

mkdir -p %buildroot/%_datadir/dbus-1/services/
install -m 0644 %SOURCE1 %buildroot/%_datadir/dbus-1/services/glib-pacrunner.service

%find_lang %name


%pre
rm -f %_datadir/dbus-1/services/glib-pacrunner.service


%post -n %libname
%{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules 

%postun -n %libname
%{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules 

%files -f %name.lang
%defattr(-,root,root)
%doc README
%_libexecdir/glib-pacrunner
%_datadir/dbus-1/services/*.service

%files -n %libname
%defattr(-,root,root)
%{_libdir}/gio/modules/libgiognomeproxy.so
%{_libdir}/gio/modules/libgiognutls.so
%{_libdir}/gio/modules/libgiolibproxy.so
%{_libdir}/gio/modules/libgioenvironmentproxy.so

%clean
rm -rf %{buildroot}


%changelog
* Sat Aug 06 2022 tex - 2.72.2-1pclos2022
- new version

* Thu Jun 30 2022 tex - 2.72.1-1pclos2022
- new version

* Fri Mar 25 2022 tex - 2.72.0-1pclos2022
- new version

* Tue Jan 11 2022 tex - 2.70.0-1pclos2022
- new version

* Sun Aug 08 2021 tex - 2.68.2-1pclos2021
- new version

* Fri Apr 23 2021 tex - 2.68.1-1pclos2021
- new version

* Thu Mar 25 2021 tex - 2.68.0-1pclos2021
- new version

* Sat Sep 12 2020 tex - 2.66.0-1pclos2020
- new version

* Fri May 29 2020 tex - 2.64.3-1pclos2020
- new version

* Wed Apr 15 2020 tex - 2.64.2-1pclos2020
- new version

* Sat Mar 28 2020 tex - 2.64.1-1pclos2020
- new version

* Sat Mar 07 2020 tex - 2.64.0-1pclos2020
- new version

* Sat Jan 04 2020 tex - 2.62.3-1pclos2020
- new version

* Tue Dec 10 2019 tex - 2.62.2-1pclos2019
- new version

* Sat Sep 07 2019 tex - 2.62.0-1pclos2019
- new version

* Wed Jul 03 2019 tex - 2.60.3-1pclos2019
- new version

* Tue May 07 2019 tex - 2.60.2-1pclos2019
- new version

* Thu Apr 11 2019 tex - 2.60.0-2pclos2019
- build without openssl devel installed
- req glib-openssl

* Sun Mar 24 2019 tex - 2.60.0-1pclos2019
- new version

* Fri Mar 01 2019 tex 2.58.0-1pclos2019
- new

* Thu Jan 11 2018 bb2 <b2> - 2.55.2-2pclos2018
- rebuild for missing package

* Tue Jan 09 2018 tex - 2.55.2-1pclos2018
- new version

* Fri Mar 17 2017 bb2 <bb2> - 2.46.1-2pclos2017
- rebuild new gnutls
